#
# Conditional build:
%bcond_without	static_libs	# static libraries

%define		gitref	e877868abe06a83ed0a6ac6e245c07f6f20866b5
%define		snap	20220811
%define		rel	1

Summary:	HTTP/2.0 C++ library
Summary(pl.UTF-8):	Biblioteka C++ HTTP/2.0
Name:		nghttp2-asio
Version:	0.1.0
Release:	0.%{snap}.%{rel}
Epoch:		1
License:	MIT
Group:		Libraries
Source0:	https://github.com/nghttp2/nghttp2-asio/archive/%{gitref}/%{name}-%{snap}.tar.gz
# Source0-md5:	55e61a2019a4b2839b1ad20a528ba3a7
URL:		https://nghttp2.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.54.0
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	nghttp2-devel >= 1.43.0
BuildRequires:	openssl-devel >= 1.0.1
BuildRequires:	pkgconfig >= 1:0.20
Requires:	nghttp2-libs >= 1.43.0
Requires:	openssl >= 1.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTTP/2.0 C++ library.

%description -l pl.UTF-8
Biblioteka C++ HTTP/2.0.

%package devel
Summary:	Header file for nghttp2_asio library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki nghttp2_asio
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel >= 6:5
Requires:	nghttp2-devel >= 1.43.0

%description devel
Header file for nghttp2_asio library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki nghttp2_asio.

%package static
Summary:	Static libnghttp2_asio library
Summary(pl.UTF-8):	Statyczna biblioteka libnghttp2_asio
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libnghttp2_asio library.

%description static -l pl.UTF-8
Statyczna biblioteka libnghttp2_asio.

%prep
%setup -q -n %{name}-%{gitref}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libnghttp2_asio.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.rst
%attr(755,root,root) %{_libdir}/libnghttp2_asio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnghttp2_asio.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnghttp2_asio.so
%{_includedir}/nghttp2/asio_http2.h
%{_includedir}/nghttp2/asio_http2_client.h
%{_includedir}/nghttp2/asio_http2_server.h
%{_pkgconfigdir}/libnghttp2_asio.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnghttp2_asio.a
%endif
%changelog
* Sun Aug 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nghttp2-asio.git;a=log;h=master

* Thu Aug 03 2023 Jan Palus <atler@pld-linux.org> 2326e97
- initial snap after nghttp2-asio got separated from nghttp2

* Thu Aug 03 2023 Jan Palus <atler@pld-linux.org> 0409ab0
- rename nghttp2.spec -> nghttp2-asio.spec

* Thu Oct 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 57d2bbc
- updated to 1.50.0

* Tue Aug 23 2022 Jan Palus <atler@pld-linux.org> 5263c2b
- up to 1.49.0

* Fri Jun 24 2022 Jan Palus <atler@pld-linux.org> c14fa1d
- up to 1.48.0

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 319d74e
- Release 3 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> f161ce0
- rebuild with python 3.10

* Sat Feb 26 2022 Marcin Krol <hawk@tld-linux.org> a8f9a0f
- allow building without systemd support

* Fri Feb 25 2022 Jakub Bogusz <qboosh@pld-linux.org> 3585936
- preliminary http3,libbpf bconds; now C++14 is used

* Thu Feb 24 2022 Jan Palus <atler@pld-linux.org> b8ceb2d
- up to 1.47.0

* Sun Oct 24 2021 Jan Palus <atler@pld-linux.org> b20f53e
- up to 1.46.0

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> d003852
- rebuild with openssl 3.0.0

* Tue Sep 21 2021 Jan Palus <atler@pld-linux.org> 83f17b8
- up to 1.45.1

* Mon Sep 20 2021 Jan Palus <atler@pld-linux.org> 8d90b84
- up to 1.45.0

* Sun Jul 18 2021 Jan Palus <atler@pld-linux.org> 73c1028
- up to 1.44.0

* Sun Jul 18 2021 Jan Palus <atler@pld-linux.org> 76a36a9
- explicitly pass cython path

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> f504afb
- release 3 (by relup.sh)

* Thu Feb 11 2021 Jan Palus <atler@pld-linux.org> 2a3e23c
- unbreak shebang; rel 2

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> f04ce4b
- up to 1.43.0

* Tue Nov 24 2020 Jan Palus <atler@pld-linux.org> bc49680
- up to 1.42.0

